<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="myUnionBBKLabel" jhiTranslate="mpmApp.unionBBK.home.createOrEditLabel">Create or edit a Union BBK</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!unionBBK.id">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                   [(ngModel)]="unionBBK.id" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.unionBBK.no_bbk" for="field_no_bbk">No Bbk</label>
            <input type="text" class="form-control" name="no_bbk" id="field_no_bbk"
                [(ngModel)]="unionBBK.no_bbk"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.unionBBK.tgl_bbk" for="field_tgl_bbk">Tgl Bbk</label>
            <div class="d-flex">
                <input id="field_tgl_bbk" type="datetime-local" class="form-control" name="tgl_bbk" [(ngModel)]="unionBBK.tgl_bbk"
                  />
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.unionBBK.iduser" for="field_iduser">Iduser</label>
            <input type="text" class="form-control" name="iduser" id="field_iduser"
                [(ngModel)]="unionBBK.iduser"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.unionBBK.ket" for="field_ket">Ket</label>
            <input type="text" class="form-control" name="ket" id="field_ket"
                [(ngModel)]="unionBBK.ket"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.unionBBK.div" for="field_div">Div</label>
            <input type="text" class="form-control" name="div" id="field_div"
                [(ngModel)]="unionBBK.div"  />
        </div>

    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
